# -*- coding=utf8 -*-
#******************************************************************************
# Playlist.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013-2015 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************

PLAYLIST = [
    (u"S01E01 Kosmische Kollegen","aDynLDSw5P8"),
    (u"S01E02 Planet der Reserven","Ln9ekcnOLxg"),
    (u"S01E03 Relativistische Effekte","rSQfCkJ0-mI"),
    (u"S01E04 Der futurologische Kongress","8vCmlLICR6o"),
    (u"S01E05 Sabotage","KEOh1LZTP4Y"),
    (u"S01E06 Die innere Stimme","ATPdeQWZlHA"),
    (u"S02E01 Held von Kosmos","ehfyGuNJuJg"),
    (u"S02E02 Shøpping","5LWI3rqkNXI"),
    (u"S02E03 Schön schaumig","QyJb4linGT4"),
    (u"S02E04 Biste-Fix Zeitblasen","5IuvTXvu9Z4"),
    (u"S02E05 Sepulken verboten","ImYfqHohn1M"),
    (u"S02E06 Das Erinnerungsstück","4mSkPZnkrVs"),
    (u"S02E07 Schein und Sein I","4Vqyr-MZXN8"),
    (u"S02E08 Schein und Sein II","M5nsFvHwUwU"),
]

class Playlist(object):
    def __init__(self):
        self._position = 0
    
    def __iter__(self):
        return self
    
    def next(self):
        if self._position < len(PLAYLIST):
            title = PLAYLIST[self._position][0]
            url   = "plugin://plugin.video.youtube/play/?video_id=%s" % PLAYLIST[self._position][1]
            thumb = "https://img.youtube.com/vi/%s/hqdefault.jpg" % PLAYLIST[self._position][1]
            self._position += 1
            return (title, url, thumb)
        else:
            raise StopIteration
